/*********************************************
This program was produced by the
CodeWizardAVR V1.24.0 Standard
Automatic Program Generator
 Copyright 1998-2003 HP InfoTech s.r.l.
http://www.hpinfotech.ro
e-mail:office@hpinfotech.ro

Project : PPE robot suiveur de ligne
	     Commande d'un servo-moteur  (fichier prof)
Version : 2
Date    : 28/06/2010
Author  : perso                           
Company :  Lyce PE MARTIN                                
Comments: Le rapport cyclique du signal OC0A
est modifi en fonction de l'tat logique de PB3
PB3 = 1 =>   Non command
PB3 = 0 => rotation sur 180 en 
 


Chip type           : ATtiny13
Clock frequency     : 9,600000 MHz
Memory model        : Tiny
External SRAM size  : 0
Data Stack size     : 16
*********************************************/

#include <tiny13.h>
#include <delay.h>

#define E_Cde_Servos		PINB.3  
#define SERVO1          	OCR0A  
#define SERVO2          	OCR0B 
#define INACTIF          	0
#define POSITION_INIT       40 // 0.5ms



// Declare your global variables here

void main(void)
{
// Declare your local variables here
unsigned char i;  

// Crystal Oscillator division factor: 1
CLKPR=0x80;
CLKPR=0x00;

// Input/Output Ports initialization
// Port B initialization
// Func0=Out Func1=In Func2=In Func3=In Func4=In Func5=In 
// State0=0 State1=T State2=T State3=P State4=T State5=T 
PORTB=0x08;
DDRB=0x03;

// Timer/Counter 0 initialization
// Clock source: System Clock
// Clock value: 150,000 kHz
// Mode: Phase correct PWM top=FFh
// OC0A output: Non-Inverted PWM
// OC0B output: Non-Inverted PWM
TCCR0A=0xA1;
TCCR0B=0x03;
TCNT0=0x00;
OCR0A=0x00;
OCR0B=0x00;


while (1)
      {
      // Bras dans l'axe pendant le dplacement 
     	while (E_Cde_Servos == 1) 
     	{
     	  SERVO1 = INACTIF; // Servo non commands
     	  SERVO2 = INACTIF;
     	} 
     	    
     	while (E_Cde_Servos == 0)
     	{ 
     	  for (i=0; i<140; i++)
     	  {
     	   SERVO1 = POSITION_INIT + i; // Rotation sur 180
     	   SERVO2 = POSITION_INIT + i;
     	   delay_ms(50);
     	  }
     	}
     	 
     	     
      };
}
